## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface Privilege

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  DoubleObjectPrivilege, SybaseASEPrivilege, SybasePrivilege, TablePrivilege

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.accesscontrol.impl.PrivilegeImpl, SybaseASEPrivilegeImpl, SybasePrivilegeImpl

    public interface Privilege

extends SQLObject

A representation of the model object 'Privilege'. Reference: 5WD-02-Foundation-2002-12 4.34.2 Privileges

The following features are supported:

- `Grantable`
- `Action`
- `With Hierarchy`
- `Grantor`
- `Grantee`
- `Action Objects`
- `Object`

See Also:
  `SQLAccessControlPackage.getPrivilege()`

Method Summary
`java.lang.String` `getAction()` Returns the value of the 'Action' attribute.
`org.eclipse.emf.common.util.EList` `getActionObjects()` Returns the value of the 'Action Objects' reference list.
`AuthorizationIdentifier` `getGrantee()` Returns the value of the 'Grantee' container reference.
`AuthorizationIdentifier` `getGrantor()` Returns the value of the 'Grantor' reference.
`SQLObject` `getObject()` Returns the value of the 'Object' reference.
`boolean` `isGrantable()` Returns the value of the 'Grantable' attribute.
`boolean` `isWithHierarchy()` Returns the value of the 'With Hierarchy' attribute.
`void` `setAction(java.lang.String value)` Sets the value of the '`Action`' attribute.
`void` `setGrantable(boolean value)` Sets the value of the '`Grantable`' attribute.
`void` `setGrantee(AuthorizationIdentifier value)` Sets the value of the '`Grantee`' container reference.
`void` `setGrantor(AuthorizationIdentifier value)` Sets the value of the '`Grantor`' reference.
`void` `setObject(SQLObject value)` Sets the value of the '`Object`' reference.
`void` `setWithHierarchy(boolean value)` Sets the value of the '`With Hierarchy`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isGrantable

    boolean isGrantable()

  Returns the value of the 'Grantable' attribute.

  If the meaning of the 'Grantable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantable' attribute.
  See Also:
    `setGrantable(boolean)`, `SQLAccessControlPackage.getPrivilege_Grantable()`

### setGrantable

    void setGrantable(boolean value)

  Sets the value of the '`Grantable`' attribute.

  Parameters:
    `value` - the new value of the 'Grantable' attribute.
  See Also:
    `isGrantable()`

### getAction

    java.lang.String getAction()

  Returns the value of the 'Action' attribute.

  If the meaning of the 'Action' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action' attribute.
  See Also:
    `setAction(String)`, `SQLAccessControlPackage.getPrivilege_Action()`

### setAction

    void setAction(java.lang.String value)

  Sets the value of the '`Action`' attribute.

  Parameters:
    `value` - the new value of the 'Action' attribute.
  See Also:
    `getAction()`

### isWithHierarchy

    boolean isWithHierarchy()

  Returns the value of the 'With Hierarchy' attribute.

  If the meaning of the 'With Hierarchy' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Hierarchy' attribute.
  See Also:
    `setWithHierarchy(boolean)`, `SQLAccessControlPackage.getPrivilege_WithHierarchy()`

### setWithHierarchy

    void setWithHierarchy(boolean value)

  Sets the value of the '`With Hierarchy`' attribute.

  Parameters:
    `value` - the new value of the 'With Hierarchy' attribute.
  See Also:
    `isWithHierarchy()`

### getGrantor

    AuthorizationIdentifier getGrantor()

  Returns the value of the 'Grantor' reference. It is bidirectional and its opposite is '`Granted Privilege`'.

  If the meaning of the 'Grantor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantor' reference.
  See Also:
    `setGrantor(AuthorizationIdentifier)`, `SQLAccessControlPackage.getPrivilege_Grantor()`, `AuthorizationIdentifier.getGrantedPrivilege()`

### setGrantor

    void setGrantor(AuthorizationIdentifier value)

  Sets the value of the '`Grantor`' reference.

  Parameters:
    `value` - the new value of the 'Grantor' reference.
  See Also:
    `getGrantor()`

### getGrantee

    AuthorizationIdentifier getGrantee()

  Returns the value of the 'Grantee' container reference. It is bidirectional and its opposite is '`Received Privilege`'.

  If the meaning of the 'Grantee' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grantee' container reference.
  See Also:
    `setGrantee(AuthorizationIdentifier)`, `SQLAccessControlPackage.getPrivilege_Grantee()`, `AuthorizationIdentifier.getReceivedPrivilege()`

### setGrantee

    void setGrantee(AuthorizationIdentifier value)

  Sets the value of the '`Grantee`' container reference.

  Parameters:
    `value` - the new value of the 'Grantee' container reference.
  See Also:
    `getGrantee()`

### getActionObjects

    org.eclipse.emf.common.util.EList getActionObjects()

  Returns the value of the 'Action Objects' reference list. The list contents are of type `SQLObject`.

  If the meaning of the 'Action Objects' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Objects' reference list.
  See Also:
    `SQLAccessControlPackage.getPrivilege_ActionObjects()`

### getObject

    SQLObject getObject()

  Returns the value of the 'Object' reference. It is bidirectional and its opposite is '`Privileges`'.

  If the meaning of the 'Object' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object' reference.
  See Also:
    `setObject(SQLObject)`, `SQLAccessControlPackage.getPrivilege_Object()`, `SQLObject.getPrivileges()`

### setObject

    void setObject(SQLObject value)

  Sets the value of the '`Object`' reference.

  Parameters:
    `value` - the new value of the 'Object' reference.
  See Also:
    `getObject()`